~ chicken-core (chicken-5) 543012d359222db370427af60a25b6b9fc97f54e


commit 543012d359222db370427af60a25b6b9fc97f54e
Author:     felix <felix@call-with-current-continuation.org>
AuthorDate: Tue Aug 23 11:17:35 2011 +0200
Commit:     felix <felix@call-with-current-continuation.org>
CommitDate: Tue Aug 23 11:17:35 2011 +0200

    added script to compile all files with some set of options

diff --git a/scripts/compile-all b/scripts/compile-all
new file mode 100755
index 00000000..b9acc4db
--- /dev/null
+++ b/scripts/compile-all
@@ -0,0 +1,21 @@
+#!/bin/sh
+# usage: compile-all COMPILER OPTION ...
+
+
+set -e
+set -x
+
+compiler_options="-optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -feature debugbuild -scrutinize -types ./types.db -verbose  -no-lambda-info -local -extend private-namespace.scm -specialize"
+
+library_options="-optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -feature debugbuild -scrutinize -types ./types.db -verbose  -explicit-use -no-trace -specialize"
+
+compiler="$1"
+shift
+
+for x in library eval data-structures ports files extras lolevel utils tcp srfi-1 srfi-4 srfi-13 srfi-14 srfi-18 srfi-69 posixunix posixwin irregex scheduler profiler stub expand modules chicken-syntax chicken-ffi-syntax build-version; do
+    $compiler $x.scm $library_options -output-file /tmp/xxx.c "$@"
+done
+
+for x in chicken batch-driver compiler optimizer compiler-syntax scrutinizer unboxing support c-platform c-backend; do
+    $compiler $x.scm $library_options -output-file /tmp/xxx.c "$@"
+done
Trap